Bug 24475 - Reword FinesMode system preference
Summary: Reword FinesMode system preference
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: David Roberts
QA Contact: Testopia
URL:
Keywords:
Depends on: 21633
Blocks:
  Show dependency treegraph
 
Reported: 2020-01-21 23:27 UTC by Andrew Fuerste-Henry
Modified: 2020-04-03 22:45 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00


Attachments
Bug 24475: Reword FinesMode system preference (2.79 KB, patch)
2020-01-27 02:05 UTC, David Roberts
Details | Diff | Splinter Review
Bug 24475: Reword FinesMode system preference (1.95 KB, patch)
2020-01-27 15:13 UTC, David Roberts
Details | Diff | Splinter Review
error message (3.53 KB, text/plain)
2020-02-14 18:31 UTC, Andrew Fuerste-Henry
Details
Bug 24475: Reword FinesMode system preference (2.76 KB, patch)
2020-03-25 22:02 UTC, David Roberts
Details | Diff | Splinter Review
Bug 24475: Reword FinesMode system preference (2.82 KB, patch)
2020-03-26 10:57 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 24475: Reword FinesMode system preference (2.94 KB, patch)
2020-03-26 11:42 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 24475: Cronjobs don't always live in misc (1.97 KB, patch)
2020-03-26 11:43 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Fuerste-Henry 2020-01-21 23:27:53 UTC
The text for FinesMode reads:

(Don't Calculate / Calculate and Charge / Calculate but only for mailing to the admin)
 fines (when misc/cronjobs/fines.pl is being run).
NOTE: Fines can also be charged by the CalculateFinesOnReturn system preference.
NOTE: This system preference requires the misc/cronjobs/fines.pl cronjob. Ask your system administrator to schedule it.


This gives the impression that CalculateFinesOnReturn is an alternative to FinesMode -- that one could set FinesMode to "Don't calculate" and turn on CalculateFinesOnReturn in order to only calculate fines when an item is checked in.

However, CalculateFinesOnReturn only works when FinesMode is set to "Calculate and charge." CalculateFinesOnReturn is an alternative to the fines cron, not to FinesMode.

I'll think on better wording here and get back to this.
Comment 1 Andrew Fuerste-Henry 2020-01-22 22:12:33 UTC
Proposed wording:

(Don't Calculate / Calculate and Charge / Calculate but only for mailing to the admin)
 fines (when misc/cronjobs/fines.pl is being run and/or CalculateFinesOnReturn is enabled).
NOTE: If the misc/cronjobs/fines.pl cronjob is being run, accruing and final fines will be calculated when the cron runs and accruing fines will be finalized when an item is returned. If CalculateFinesOnReturn is enabled, final fines will be calculated when an item is returned.
Comment 2 Andrew Fuerste-Henry 2020-01-22 22:14:21 UTC
Also, while we're at it, CalculateFinesOnReturn needs a note of:

NOTE: This system preference requires FinesMode to be set to "Calculate and charge."
Comment 3 Katrin Fischer 2020-01-22 22:18:43 UTC
Hi Andrew, the third option doesn't work and is in process to be removed - maybe we should make this one dependent: bug 21633
Comment 4 Andrew Fuerste-Henry 2020-01-22 22:40:49 UTC
I was just talking to Nick about that. I'll feel him out about an expected timeline there. This isn't strictly dependent on his change and I'd like to see this changed sooner rather than later. Have had a few libraries inadvertently make themselves fine-free by misunderstanding this.
Comment 5 David Roberts 2020-01-27 02:05:38 UTC
Created attachment 97954 [details] [review]
Bug 24475: Reword FinesMode system preference

This patch changes the wording of the FinesMode and
CalculateFinesOnReturn syste
m preferences explanations

1) Install Patch
2) Check that the wording of the FinesMode system preference has changed
to "NOTE: If the misc/cronjobs/fines.pl cronjob is being run, accruing
and final fines will be calculated when the cron runs and accruing fines
will be finalized when an item is returned. If CalculateFinesOnReturn is
enabled, final fines will be calculated when an item is returned."
3) Check that the wording of the CalculateFinesOnReturn system
preference has changed to add "NOTE: This system preference requires
FinesMode to be set to 'Calculate and charge.'" to the existing note.
Comment 6 David Roberts 2020-01-27 02:09:09 UTC
Working on the assumption that this is a purely cosmetic change and the actual functional changes to the system preference discussed here will be resolved elsewhere, I've changed the wording on these two system preferences. I don't think that the change I've made here will depend on the changes in bug 21633.
Comment 7 Andrew Fuerste-Henry 2020-01-27 15:00:53 UTC
Failing QA because the text added to CalculateFinesOnReturn has an extra period. 
It says : 
NOTE: This system preference requires FinesMode to be set to 'Calculate and charge.'.

Should be:
NOTE: This system preference requires FinesMode to be set to 'Calculate and charge.'

Sorry, very trivial. Thanks for writing this!
Comment 8 David Roberts 2020-01-27 15:13:11 UTC
Created attachment 97984 [details] [review]
Bug 24475: Reword FinesMode system preference

This patch changes the wording of the FinesMode and CalculateFinesOnReturn system preferences explanations

1) Install Patch
2) Check that the wording of the FinesMode system preference has changed to "NOTE: If the misc/cronjobs/fines.pl cronjob is being run, accruing and final fines will be calculated when the cron runs and accruing fines will be finalized when an item is returned. If CalculateFinesOnReturn is enabled, final fines will be calculated when an item is returned."
3) Check that the wording of the CalculateFinesOnReturn system preference has changed to add "NOTE: This system preference requires FinesMode to be set to 'Calculate and charge.'" to the existing note.
Comment 9 David Roberts 2020-01-27 15:13:54 UTC
Typo removed, and new patch submitted
Comment 10 Andrew Fuerste-Henry 2020-02-14 16:30:52 UTC
Patch doesn't apply.
Comment 11 David Roberts 2020-02-14 18:16:27 UTC
That's odd - it seems to apply OK on the PTFS Europe sandboxes, and on my dev server. Please can you try again?
Comment 12 Andrew Fuerste-Henry 2020-02-14 18:31:42 UTC
Created attachment 99003 [details]
error message

This is the error Kyle got when trying to apply this patch.
Comment 13 David Roberts 2020-02-14 18:33:43 UTC
Very odd. I'll rewrite and re-submit. Thanks
Comment 14 Andrew Fuerste-Henry 2020-02-14 18:35:12 UTC
Tried it again on the sandbox, was unsuccessful again. Kyle tried it on his system, was also unsuccessful, and pulled out an error, which I've attached.
Comment 15 David Roberts 2020-03-25 22:02:10 UTC
Created attachment 101780 [details] [review]
Bug 24475: Reword FinesMode system preference

This patch changes the wording of the FinesMode and
CalculateFinesOnReturn system preferences explanations

1) Install Patch
2) Check that the wording of the FinesMode system preference has changed
to "NOTE: If the misc/cronjobs/fines.pl cronjob is being run, accruing
and final fines will be calculated when the cron runs and accruing fines
will be finalized when an item is returned. If CalculateFinesOnReturn is
enabled, final fines will be calculated when an item is returned."
3) Check that the wording of the CalculateFinesOnReturn system
preference has changed to add "NOTE: This system preference requires
FinesMode to be set to 'Calculate and charge.'" to the existing note.
Comment 16 David Roberts 2020-03-25 22:03:28 UTC
Third time lucky (hopefully!).
Comment 17 ByWater Sandboxes 2020-03-26 10:57:27 UTC
Created attachment 101800 [details] [review]
Bug 24475: Reword FinesMode system preference

This patch changes the wording of the FinesMode and
CalculateFinesOnReturn system preferences explanations

1) Install Patch
2) Check that the wording of the FinesMode system preference has changed
to "NOTE: If the misc/cronjobs/fines.pl cronjob is being run, accruing
and final fines will be calculated when the cron runs and accruing fines
will be finalized when an item is returned. If CalculateFinesOnReturn is
enabled, final fines will be calculated when an item is returned."
3) Check that the wording of the CalculateFinesOnReturn system
preference has changed to add "NOTE: This system preference requires
FinesMode to be set to 'Calculate and charge.'" to the existing note.

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>
Comment 18 Kyle M Hall 2020-03-26 11:42:51 UTC
Created attachment 101811 [details] [review]
Bug 24475: Reword FinesMode system preference

This patch changes the wording of the FinesMode and
CalculateFinesOnReturn system preferences explanations

1) Install Patch
2) Check that the wording of the FinesMode system preference has changed
to "NOTE: If the misc/cronjobs/fines.pl cronjob is being run, accruing
and final fines will be calculated when the cron runs and accruing fines
will be finalized when an item is returned. If CalculateFinesOnReturn is
enabled, final fines will be calculated when an item is returned."
3) Check that the wording of the CalculateFinesOnReturn system
preference has changed to add "NOTE: This system preference requires
FinesMode to be set to 'Calculate and charge.'" to the existing note.

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 19 Kyle M Hall 2020-03-26 11:43:02 UTC
Created attachment 101812 [details] [review]
Bug 24475: Cronjobs don't always live in misc

In git installs, cronjobs live in misc, but for package installs, they
live under bin. Let's just still with 'misc/cronjobs' which is always
cromulent.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 20 Martin Renvoize 2020-03-27 08:53:35 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 21 Joy Nelson 2020-04-03 22:45:04 UTC
enhancement not backported to 19.11.x